from helpers.image import show_image,read_y10

import os
import cv2
import numpy as np
import matplotlib.pyplot as plt

from helpers.output import save_array
"""
This script reads PSF measurements in Y10 format and averages the measurements for each position.  I.E: It averages over all y10 images in a folder and outputs the average image as npz.
"""
path = ("/home/guney/Project/Richardson-Lucy-Net/helper scripts/data/psf2")
print(os.getcwd())
b = os.listdir(path)
for i in b:

    pathi = path + "/" + i+"/"
    print(pathi)
    a = os.listdir(pathi)

    a = [pathi +i for i in a if i.split('.')[-1] == 'bmp']
    if len(a) == 0:
        continue
    image = cv2.imread(a[0], cv2.IMREAD_GRAYSCALE)

    # show_image(image,i)
    # cv2.waitKey(0)

    datas = np.zeros((len(a),image.shape[0],image.shape[1]),dtype=np.float64)

    for i ,path_i in enumerate(a):
        loaded = cv2.imread(path_i, cv2.IMREAD_GRAYSCALE)
        datas[i,:,:] = loaded / ((2**8) - 1)
        #datas[i,:,:] = loaded
    print(datas.shape)
    avg_image = np.mean(datas,axis=0,dtype=np.float64)
    print(avg_image.dtype,avg_image.shape)
    print(np.max(avg_image),np.mean(avg_image))
    # show_image(avg_image,"avg")
    # cv2.waitKey(0)


    save_array(pathi+"avg_image.npz",avg_image)
