from helpers.image import show_image,read_y10
import os
import cv2
import numpy as np
import matplotlib.pyplot as plt


path = ("../data/focus1/1/")
#path = ("../data/focus1_1/1um/short/run1/")
print(os.getcwd())
a = os.listdir(path)
a = [i for i in a if i.split('.')[-1] == 'y10']
a = sorted(a,key = lambda x : int(x.split(".")[0]))

images = [path+i for i in a]

y_min, y_max = 1013, 1029
x_min, x_max = 1912, 1929
top_left_point = (x_min, y_min)
bottom_right_point = (x_max, y_max)

for i ,path in enumerate(images):
    data = read_y10(path)
    data = data / ((2 ** 10) - 1)
    print(path)
    print(np.max(data))
    print(np.max(data[y_min:y_max, x_min:x_max]))
    print()
    print(np.mean(data))
    print(np.mean(data[y_min:y_max, x_min:x_max]))
    print()

    image = np.zeros(np.shape(data), dtype=np.float64)
    cv2.normalize(data, image, 0, 1, cv2.NORM_MINMAX)
    cv2.rectangle(image, top_left_point, bottom_right_point, 1.0, 4)
    show_image(image, path)

    cropped = data[y_min:y_max, x_min:x_max]

    show_image(cropped, path + "_cropped",norm=(0,4))

    if cv2.waitKey() == ord('c'):
        print("exiting")
        cv2.destroyAllWindows()
        exit(0)
    cv2.destroyAllWindows()

cv2.destroyAllWindows()
