#!/bin/bash
#SBATCH --partition=gwendolen         # Or 'gpu-short' for higher priority but 2-hour limit
#SBATCH --account=gwendolen         # Or 'gpu-short' for higher priority but 2-hour limit
#SBATCH --cluster=gmerlin6      # Required for GPU
#SBATCH --gpus=1                # Multi GPU not supported
#SBATCH --cpus-per-gpu=1        # Request CPU resources
#SBATCH --mem-per-cpu=60G
#SBATCH --time=2:00:00       # Define max time job will run

srun apptainer exec --nv --bind rln2:/data rln_tf2_empty.sif python /data/RLN_single_Train.py #1. replace /data/user/tekin_g/rln0_data with your data path. 2. arguments after .sif are passed to the python file.
