import os
from time import sleep

import cv2
from helpers import image
i = 150
gt = []
input_noise = []
input_no_noise = []
path = "/home/guney/incoming_data/Phantom_generate/OUTPUT/"


"""
boilerplate script to view tif files
"""


ret,gt = cv2.imreadmulti(path+"gt/"+str(i)+".tif",gt)
ret,input_noise = cv2.imreadmulti(path+"input_noise/"+str(i)+".tif",input_noise)
ret,input_no_noise = cv2.imreadmulti(path+"input_no_noise/"+str(i)+".tif",input_no_noise)

for i in range(len(gt)):

    gt_s = gt[i]
    input_s = input_noise[i]
    input_n_s = input_no_noise[i]


    cv2.normalize(gt_s,gt_s,0,255,cv2.NORM_MINMAX)
    cv2.normalize(input_s,input_s,0,255,cv2.NORM_MINMAX)
    cv2.normalize(input_n_s,input_n_s,0,255,cv2.NORM_MINMAX)

    image.show_image(gt_s,"gt")
    image.show_image(input_s,"input_s")
    image.show_image(input_n_s,"input_n_s")
    cv2.waitKey(0)

    print(i)

cv2.destroyAllWindows()